## frr-8.3.1.tar.gz.2406c99fb33455b0c5de2694a98901c9

=== staticd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. staticd/staticd
%: ALWAYS
	@$(MAKE) -s -C .. staticd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:

=== tools/gcc-plugins/Makefile ===
all: frr-format.so

CXX=g++-9

PLUGBASE=`$(CXX) -print-file-name=plugin`
CPPFLAGS=-I$(PLUGBASE)/include -I$(PLUGBASE)/include/c-family

frr-format.so: frr-format.o
	$(CXX) -g -shared -o $@ $^

frr-format.o: frr-format.c gcc-common.h
	$(CXX) -g $(CPPFLAGS) -fPIC -Wall -Wextra -Wno-unused-parameter -c -o $@ $<

install:
	install -d $(DESTDIR)$(PLUGBASE)
	install frr-format.so $(DESTDIR)$(PLUGBASE)

clean:
	rm -f frr-format.so frr-format.o

=== debian/changelog ===
frr (8.3.1-0) unstable; urgency=medium

  * bgpd: Do not announce routes that are conditionally withdrawn (a gap between conditional advertisement interval)
  * bgpd: Fix crash for 'show bgp l2vpn evpn route rd'
  * bgpd: Do not overwrite the Link-Local address with another interface for the next-hop cache
  * bgpd: Call a hook when the as-path filter is replaced
  * bgpd: Fix memory leak when cleaning up MPLS labels
  * isisd: Fix memory leak when deleting adjacency
  * ldpd: Fix crash when hold time is configured to 65535
  * ospfd: Fix crash when the router is running in GR helper mode and receives a new LSA
  * pimd: Fix memory leak for 'show ip pim interface'
  * pimd: Allow the same group/source route to be configured on more than one interface
  * vtysh: Handle CTRL+Z without exiting the VTY shell
  * vtysh: Ignore 'end' when parsing frr.conf (This causes BGP sessions to start only after 10 minutes)
  * zebra: Avoid buffer overflow when parsing nested route attributes for SR-IPv6
  * zebra: Fix missing VNI transition, e.g.: 'show evpn vni detail'

 -- Donatas Abraitis <donatas@opensourcerouting.org>  Tue, 30 Aug 2022 20:45:00 +0300

frr (8.3-0) unstable; urgency=medium

  * New upstream release FRR 8.3

 -- Jafar Al-Gharaibeh <jafar@atcorp.com>  Wed, 13 Jul 2022 10:00:00 +0500

frr (8.2-0) UNRELEASED; urgency=medium

  * New upstream release FRR 8.2

 -- Jafar Al-Gharaibeh <jafar@atcorp.com>  Tue, 01 Mar 2022 10:00:00 +0500

frr (8.1-0) unstable; urgency=medium

  * New upstream release FRR 8.1

 -- Jafar Al-Gharaibeh <jafar@atcorp.com>  Tue, 02 Nov 2021 14:00:00 +0500

frr (8.0-0) unstable; urgency=medium

  * New upstream release FRR 8.0

 -- Martin Winter <mwinter@opensourcerouting.org>  Wed, 21 Jul 2021 13:42:00 +0200

frr (7.5.1-1) unstable; urgency=medium

  * Update the d/gbp.conf for 7.5.1 release
  * Use wrap-and-sort -a to unify debian/ wrapping and sorting
  * Work around the sphinx-build error that doesn't copy images to texinfo
  * Change the upstream-tag in d/gbp.conf to track the upstream tarballs

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 Mar 2021 09:40:19 +0100

frr (7.5-1) unstable; urgency=medium

  * New upstream version 7.5

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 21:38:50 +0100

frr (7.4-2) unstable; urgency=medium

  * Bump libyang dependency to >= 1.0.184-1~
  * Make the autopkgtest more resilient (Closes: #980111)
  * Adjust the ax_python.m4 to hardcode python3.9

 -- Ondřej Surý <ondrej@debian.org>  Sun, 07 Feb 2021 13:15:07 +0100

frr (7.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with Python 3.9. (Closes: #972767)

 -- Adrian Bunk <bunk@debian.org>  Thu, 21 Jan 2021 16:06:12 +0200

frr (7.4-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * Use dh_installinit capabilities to install frr.tmpfile
  * Remove unused debian/watchfrr.rc file
  * Add missing lsof dependency
  * Remove mention of pkg.frr.snmp build profile from debian/README.Debian
  * Make lsb-base a hard dependency
  * Update gbp.conf for 7.4 release
  * Update and simplify d/watch
  * Change the debian source format from 3.0 (git) to 3.0 (quilt)
  * Convert the package to dh compat level 10
  * Add myself to Uploaders
  * Bump standards version to 4.5.0.2 (latest) - no change
  * Use wrap-and-sort -a to unify debian/ wrapping and sorting
  * Work around the sphinx-build error that doesn't copy images to texinfo
    (Properly closes: #955067)
  * Depend on debhelper >= 9.20160709 and drop dh-systemd dependency
    (Closes: #958626)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 10 Aug 2020 11:50:45 +0200

frr (7.3.1-1) unstable; urgency=medium

  [ David Lamparter ]
  * allow cross-compile with sbuild --host

  [ Ondřej Surý ]
  * Add myself to Uploaders
  * Add d/gbp.conf
  * Update changelog for 7.3.1-1~1.gbp2292a4 release
  * Change the source format from git to quilt to use git-buildpackage
  * Don't install frr-doc texinfo images, they are gone (Closes: #955067)
  * Bump the dh_compat to 10

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Jun 2020 08:41:03 +0200

frr (7.3-1) unstable; urgency=medium

  * new upstream release

 -- David Lamparter <equinox-debian@diac24.net>  Tue, 25 Feb 2020 17:45:16 +0100

frr (7.2.1-1) unstable; urgency=medium

  * new upstream release
  * daemon man pages renamed to frr-* (closes: #944392)
  * fix/improve multi-arch markers on doc
  * fix git URLs to point to debian branch

 -- David Lamparter <equinox-debian@diac24.net>  Mon, 20 Jan 2020 17:06:21 +0100

frr (7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jafar Al-Gharaibeh <jafar@atcorp.com>  Sun, 03 Nov 2019 18:45:23 +0100

frr (6.0.2-2) unstable; urgency=medium

  * remove bogus libjson0 build-dep (closes: #921349)
  * fix broken systemd dependency spec
  * add proper Conflicts: for quagga and pimd (closes: #921376)

 -- David Lamparter <equinox-debian@diac24.net>  Mon, 04 Feb 2019 22:16:07 +0100

frr (6.0.2-1) unstable; urgency=medium

  * Packaging has been more or less completely reworked, based off the old
    Quagga packaging that hung around in git.  Refer to "changelog-auto.in"
    in the source root directory for the old changelog.
  * Initial release of FRR for Debian. (closes: #863249)

 -- David Lamparter <equinox-debian@diac24.net>  Sun, 27 Jan 2019 17:27:02 +0100

frr (6.0-2) testing; urgency=medium

  * add install-info to build deps
  * remove trailing whitespace from control
  * cleanup tcp-zebra configure options
  * drop unused SMUX client OID MIBs
  * remove /proc check
  * remove --enable-poll
  * remove libtool .la files
  * drop texlive-latex-base, texlive-generic-recommended build deps
  * consistently allow python2 or python3
  * remove bad USE_* options, add WERROR
  * drop libncurses5 dep
  * remove backports mechanism
  * use better dependency for pythontools (binNMU compatible)
  * remove bogus shlib:Depends on frr-dbg
  * create frr-snmp and frr-rpki-rtrlib


=== debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: David Lamparter <equinox-debian@diac24.net>
Uploaders: FRRouting-dev <dev@lists.frrouting.org>,
           Ondřej Surý <ondrej@debian.org>
Build-Depends: bison,
               chrpath,
               debhelper (>= 10~) | dh-systemd,
               debhelper (>= 9.20150101~),
               flex,
               gawk,
               install-info,
               libc-ares-dev,
               libcap-dev,
               libelf-dev,
               libjson-c-dev | libjson0-dev,
               libpam0g-dev | libpam-dev,
               libpcre2-dev,
               libpython3-dev,
               libreadline-dev,
               librtr-dev (>= 0.8.0~) <!pkg.frr.nortrlib>,
               libsnmp-dev,
               libssh-dev <!pkg.frr.nortrlib>,
               libyang2-dev,
               lsb-base,
               pkg-config,
               python3,
               python3-dev,
               python3-pytest <!nocheck>,
               python3-sphinx,
               texinfo (>= 4.7),
               liblua5.3-dev <pkg.frr.lua>
Standards-Version: 4.5.0.3
Homepage: https://www.frrouting.org/
Vcs-Browser: https://github.com/FRRouting/frr/tree/debian/master
Vcs-Git: https://github.com/FRRouting/frr.git -b debian/master

Package: frr
Architecture: linux-any
Depends: iproute2 | iproute,
         logrotate (>= 3.2-11),
         lsof,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: adduser
Recommends: frr-pythontools
Suggests: frr-doc
Conflicts: pimd,
           quagga,
           quagga-bgpd,
           quagga-core,
           quagga-isisd,
           quagga-ospf6d,
           quagga-ospfd,
           quagga-pimd,
           quagga-ripd,
           quagga-ripngd,
           zebra,
           zebra-pj
Replaces: zebra,
          zebra-pj
Description: FRRouting suite of internet protocols (BGP, OSPF, IS-IS, ...)
 FRRouting implements the routing protocols commonly used in the
 internet and private networks to exchange information between routers.
 Both IP and IPv6 are supported, as are BGP, OSPFv2, OSPFv3, IS-IS, BABEL,
 EIGRP, RIP, RIPng, LDP, BFD, PIM, VRRP, PBR, and NHRP.
 .
 These protocols are used to turn your system into a dynamic router,
 exchanging information about available connections with other routers
 in a standards-compliant way.  The actual packet forwarding
 functionality is provided by the OS kernel.
 .
 FRRouting is a fork of Quagga with an open community model. The main
 git lives on https://github.com/frrouting/frr.git and the project name
 is commonly abbreviated as "FRR."

Package: frr-snmp
Architecture: linux-any
Depends: frr (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: snmpd
Description: FRRouting suite - SNMP support
 Adds SNMP support to FRR's daemons by attaching to net-snmp's snmpd
 through the AgentX protocol.  Provides read-only access to current
 routing state through standard SNMP MIBs.

Package: frr-rpki-rtrlib
Architecture: linux-any
Depends: frr (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: FRRouting suite - BGP RPKI support (rtrlib)
 Adds RPKI support to FRR's bgpd, allowing validation of BGP routes
 against cryptographic information stored in WHOIS databases.  This is
 used to prevent hijacking of networks on the wider internet.  It is only
 relevant to internet service providers using their own autonomous system
 number.
Build-Profiles: <!pkg.frr.nortrlib>

Package: frr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Suggests: frr
Conflicts: quagga-doc
Description: FRRouting suite - user manual
 This provides the FRR user manual in HTML form.  This is the official
 manual maintained as part of the package and is also available online
 at https://frrouting.readthedocs.io/

Package: frr-pythontools
Architecture: all
Depends: frr (<< ${source:Upstream-Version}.0-~),
         frr (>= ${source:Version}~),
         python3:any,
         ${misc:Depends}
Description: FRRouting suite - Python tools
 The FRRouting suite uses a small Python tool to provide configuration
 reload functionality, particularly useful when the interactive configuration
 shell is not used.
 .
 Without this package installed, "reload" (as a systemd or init script
 invocation) will not work for the FRR daemons.

=== debian/rules ===
#!/usr/bin/make -f

# standard Debian options & profiles

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
  MAKE_SILENT="V=0"
  export DH_VERBOSE=0
else
  MAKE_SILENT="V=1"
  export DH_VERBOSE=1
  export DH_OPTIONS=-v
endif

# package-specific build profiles

ifeq ($(filter pkg.frr.nortrlib,$(DEB_BUILD_PROFILES)),)
  CONF_RPKI=--enable-rpki
else
  CONF_RPKI=--disable-rpki
endif

ifeq ($(filter pkg.frr.lua,$(DEB_BUILD_PROFILES)),)
  CONF_LUA=--disable-scripting
else
  CONF_LUA=--enable-scripting
endif

export PYTHON=python3

%:
	dh $@

override_dh_auto_configure:
	$(shell dpkg-buildflags --export=sh); \
	dh_auto_configure -- \
		--localstatedir=/var/run/frr \
		--sbindir=/usr/lib/frr \
		--sysconfdir=/etc/frr \
		--with-vtysh-pager=/usr/bin/pager \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr \
		--with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr/modules \
		LIBTOOLFLAGS="-rpath /usr/lib/$(DEB_HOST_MULTIARCH)/frr" \
		--disable-dependency-tracking \
		\
		$(CONF_RPKI) \
		$(CONF_LUA) \
		--with-libpam \
		--enable-doc \
		--enable-doc-html \
		--enable-snmp \
		--enable-fpm \
		--disable-protobuf \
		--disable-zeromq \
		--enable-ospfapi \
		--enable-bgp-vnc \
		--enable-multipath=256 \
		\
		--enable-user=frr \
		--enable-group=frr \
		--enable-vty-group=frrvty \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640 \
		# end

override_dh_auto_install:
	dh_auto_install

	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/frr-reload.py
	sed -e '1c #!/usr/bin/python3' -i debian/tmp/usr/lib/frr/generate_support_bundle.py

# let dh_systemd_* and dh_installinit do their thing automatically
	cp tools/frr.service debian/frr.service
	cp tools/frr@.service debian/frr@.service
	cp tools/frrinit.sh debian/frr.init
	-rm -f debian/tmp/usr/lib/frr/frr

# install config files
	mkdir -p debian/tmp/etc
	cp -r tools/etc/* debian/tmp/etc/
	-rm debian/tmp/etc/frr/daemons.conf

# drop dev-only files
	find debian/tmp -name '*.la' -o -name '*.a' -o -name 'lib*.so' | xargs rm -f
	rm -rf debian/tmp/usr/include
	-rm debian/tmp/usr/lib/frr/ssd

# use installed js libraries
	-rm -f debian/tmp/usr/share/doc/frr/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/tmp/usr/share/doc/frr/html/_static/jquery.js
	-rm -f debian/tmp/usr/share/doc/frr/html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js debian/tmp/usr/share/doc/frr/html/_static/underscore.js

override_dh_auto_build:
	dh_auto_build -- $(MAKE_SILENT)

override_dh_installinit:
	dh_installinit -r

override_dh_installsystemd:
	dh_installsystemd -r

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
# we generally do NOT want a full distclean since that wipes both
# debian/changelog and config.version
	if test -f Makefile; then make redistclean; fi
	-rm -f debian/frr.init
	-rm -f debian/frr.service
	-rm -f debian/frr@.service
